﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AzImageOpen
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                try
                {
                    Bitmap b = new Bitmap (openFileDialog1.FileName);

                    label1.Text = "Image Width is:  "+ b.Width.ToString();
                    label2.Text = "Image Height is :  " + b.Height.ToString();

                    label7.Text = "Path is: " + openFileDialog1.FileName;
                    label3.Text = "Image Virtical Resolution is:  " + b.VerticalResolution.ToString();
                    label5.Text = "Image PixelFormat is:  " + b.PixelFormat.ToString();
                    label4.Text = "Image HorizontalResolution is:  " + b.HorizontalResolution.ToString();
                    label6.Text = "Image Type:  " + b.GetType().ToString();
                   
                    pictureBox1.Image = b;

                                        
                }
                catch (NotSupportedException ex)
                {
                    MessageBox.Show("Image format is not supported: " + ex.Message, "Error",
                        MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
                catch (ArgumentException ex)
                {
                    MessageBox.Show("Invalid image: " + ex.Message, "Error",
                        MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
                catch
                {
                    MessageBox.Show("Failed loading the image", "Error",
                        MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }

            



        }

        
   
    
    
    
    
    
    
    
    }
}
